ghc (7.8.4-3) unstable; urgency=medium

  * Remove LLVM path hacks, ghc-7.8 properly remembers the value passed via
    --with-opt=opt-3.4 and use it at runtime (at least I think it does).

 -- Joachim Breitner <nomeata@debian.org>  Thu, 30 Apr 2015 19:42:52 +0200

ghc (7.8.4-2) unstable; urgency=medium

  * Fix debian/rules syntax (tab instead of spaces) to unbreak build on armel,
    armhf
  * Apply all hacks for armel and armhf also on arm64 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 30 Apr 2015 09:08:39 +0200

ghc (7.8.4-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix version glitch now, so that it never affects anything besides
    experimental.
  * ghc-doc: Conflict with libghc-xhtml-doc
  * Merge from unstable:
    - Let ghc-haddock break on ghc-doc (<< 7.6.3-20~). Closes #781649.
    - Improve watch file
    - Mark all triggers -noawait. Closes: #769554
    - Joey Hess: armel,armhf: Force use of llvm-3.4, rather than unversioned
      lvm, which can have abi changes that break ghc. Closes: #763078

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:17:38 +0200

ghc (7.8.20141223-1) experimental; urgency=medium

  * New upstream release (7.8.4)
  * Drop patches always_build_arm_spinlocks.patch, linker-detection-fix,
    dll-split-fix.patch, TcSplice-no-GHCi-fix; applied upstream.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Dec 2014 15:29:00 +0100

ghc (7.8.20141119-8) experimental; urgency=medium

  * Now that the package builds on armel and armhf, try to build with GHCi
    enabled. 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 09 Dec 2014 14:29:13 +0100

ghc (7.8.20141119-7) experimental; urgency=medium

  * Apply patches taken from GHC HEAD that help building on ARM  
    - always_build_arm_spinlocks.patch
    - dll-split-fix.patch
    - linker-detection-fix
  * Replace patches/Fix-documentation-build-failure-without-GHCi.patch by the
    equivalent patch from GHC HEAD (./patches/TcSplice-no-GHCi-fix)
  * Pass -fuse-ld=gold to gcc when used as alinker on arm
    (patches/use-gold-on-arm) and make sure this setting does not affect other
    parts (patches/saner-linker-opt-handling).
  * Try to handle autoreconf saner, by simply calling perl bool 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Dec 2014 19:08:01 +0100

ghc (7.8.20141119-6) experimental; urgency=medium

  * According to Ben Gamari, the flag is -optl-B..., not -optc-B... 
  * Do not pass -mlong-calls to gcc on arm, on the grounds that upstream is
    not doing it.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 01 Dec 2014 09:41:21 +0100

ghc (7.8.20141119-5) experimental; urgency=medium

  * Try using ld.gold on arm, using -optc-B/usr/bin/ld.gold 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 30 Nov 2014 18:51:45 +0100

ghc (7.8.20141119-4) experimental; urgency=medium

  * Try using ld.gold on arm. 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 28 Nov 2014 22:15:29 +0100

ghc (7.8.20141119-3) experimental; urgency=medium

  * Explicitly call opt-3.4, and avoid the generic opt command.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 26 Nov 2014 22:11:34 +0100

ghc (7.8.20141119-2) experimental; urgency=medium

  * Explicitly depend on llvm-3.4 on arm, maybe that works better. 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 26 Nov 2014 16:14:54 +0100

ghc (7.8.20141119-1) experimental; urgency=medium

  * New upstream release candidate (7.8.4-rc1) 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 26 Nov 2014 10:12:08 +0100

ghc (7.8.20140710-4) experimental; urgency=medium

   * Add support for mips and mipsel.
     Add mips-support.patch.
     Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
     Closes:  #751479.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 18 Jul 2014 22:47:43 +0200

ghc (7.8.20140710-3) experimental; urgency=medium

  * Depend on libncurses5-dev, since we ship terminfo in ghc now. Thanks to
    David Fox for noticing. 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 16 Jul 2014 19:50:39 +0200

ghc (7.8.20140710-2) experimental; urgency=medium

  * Also ship terminfo, haskeline, and xhtml. Thanks to David Fox for the
    patch and testing.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 Jul 2014 17:49:18 +0200

ghc (7.8.20140710-1) experimental; urgency=medium

  * New upstream release (7.8.3)
    The version number is a work-around for a glitch earlier, see below.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 10 Jul 2014 10:17:36 +0200

ghc (7.8.20140411-5) experimental; urgency=medium

  * Merge 7.6.3-13 from unstable

 -- Joachim Breitner <nomeata@debian.org>  Wed, 11 Jun 2014 10:03:28 +0200

ghc (7.8.20140411-4) experimental; urgency=medium

  * Merge 7.6.3-9 to 7.6.3-12 from unstable 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 10 Jun 2014 12:25:10 +0200

ghc (7.8.20140411-3) experimental; urgency=medium

  * Do not pass -optc-mminimal-toc on ppc64 (Closes: #747089), thanks to
    Hiroyuki Yamamoto for the patch.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 May 2014 20:52:26 +0200

ghc (7.8.20140411-2) experimental; urgency=medium

  * Try building without hardening and see what architectures work then. 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Apr 2014 16:21:08 +0200

ghc (7.8.20140411-1) experimental; urgency=medium

  * New upstream release (7.8.2)
    The version number is a work-around for a glitch earlier, see below.
  * Fix haddock build on armhf (Upstream bug #8988, patch by Colin Watson)
  * debian/watch: Refer to xz-compressed tarball

 -- Joachim Breitner <nomeata@debian.org>  Sat, 12 Apr 2014 00:13:34 +0200

ghc (7.8.20140408-1) experimental; urgency=medium

  * New upstream release (7.8.1)
    The version number is a work-around for a glitch earlier. When uploading
    to Debian unstable, the proper 7.8.1 can be used. This way, the glich will
    be confined to experimental, and only until 7.9 or 7.10 is uploaded to
    experimental.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 08 Apr 2014 15:49:58 +0200

ghc (7.8.20140228-1) experimental; urgency=medium

  * New release candiate (7.8 RC 2)
  * Do not provide stm or parallel, these are not officially part of the GHC
    distribution.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 03 Mar 2014 14:34:17 +0100

ghc (7.8.20140130-3) experimental; urgency=medium

  * transformers now comes with ghc, put it in the Provides line 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Feb 2014 20:54:01 +0000

ghc (7.8.20140130-2) experimental; urgency=medium

  * Call ghc and ghc-pkg via the wrappers in /usr/bin in the postinst script
    (Closes: 738183)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 08 Feb 2014 12:28:59 +0000

ghc (7.8.20140130-1) experimental; urgency=low

  * New upstream release candidate
  * Drop ghc-dynamic, now contained in ghc

 -- Joachim Breitner <nomeata@debian.org>  Wed, 05 Feb 2014 10:51:51 +0000

ghc (7.6.3-21) unstable; urgency=medium

  * Fix watch file.
  * Let ghc-haddock break on ghc-doc (<< 7.6.3-20~). If I used piuparts
    correctly, this finally closes: #781649.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Apr 2015 13:35:10 +0200

ghc (7.6.3-20) unstable; urgency=medium

  * Mark all triggers -noawait. Possibly Closes: #769554

 -- Joachim Breitner <nomeata@debian.org>  Sun, 23 Nov 2014 11:20:59 +0100

ghc (7.6.3-19) unstable; urgency=medium

  * Fix armel/armhf script munging; ghci and runghc are not available on
    those arches.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Sep 2014 16:28:23 +0100

ghc (7.6.3-18) unstable; urgency=medium

  * Fix accidental line wrap in debian/rules

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Sep 2014 09:52:40 +0200

ghc (7.6.3-17) unstable; urgency=medium

  * armel,armhf: Force use of llvm-3.4, rather than unversioned lvm,
    which can have abi changes that break ghc. Closes: #763078

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Sep 2014 19:16:16 +0100

ghc (7.6.3-16) unstable; urgency=medium

  * Also do not conflict with libghc-binary-doc

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Jul 2014 14:21:49 +0200

ghc (7.6.3-15) unstable; urgency=medium

  * Do not conflict with libghc-binary-dev.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Jul 2014 15:32:10 +0200

ghc (7.6.3-14) unstable; urgency=medium

  * Backport from 7.8: Do not panic when annotations are encountered on non-TH
    architectures. Less work this way than patching all the library code.
    (Closes: 752460). Thanks to Dejan Latinovic to provide the patch.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 01 Jul 2014 09:18:02 +0200

ghc (7.6.3-13) unstable; urgency=medium

  * Actually use the conflicting-devs variable in debian/control. No idea what
    went wrong yesterday.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 11 Jun 2014 09:55:30 +0200

ghc (7.6.3-12) unstable; urgency=medium

  * Last update broke the calculation of the Provides fields, fixing.
    (Closes: #751051)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Jun 2014 22:19:03 +0200

ghc (7.6.3-11) unstable; urgency=medium

  * Do no conflict with libghc-cabal-dev. 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 08 Jun 2014 13:56:51 +0200

ghc (7.6.3-10) unstable; urgency=medium

  * Team upload.
  * Add ppc64el support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Apr 2014 02:26:04 +0100

ghc (7.6.3-9) unstable; urgency=medium

  * Team upload.
  * Ensure that all copies of config.guess and config.sub in the tree are up
    to date at build time.
  * Add arm64 support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Apr 2014 02:00:21 +0100

ghc (7.6.3-8) unstable; urgency=medium

  * Apply a4b1a435 from upstream, to fix building on 64 big endian platforms
    such as s390x. Thanks to Aurelien Jarno for pointing out the fix.
    Closes: #740144

 -- Joachim Breitner <nomeata@debian.org>  Mon, 03 Mar 2014 09:12:47 +0100

ghc (7.6.3-7) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Bumped standard version to 3.9.5, no changes required.

  [ Joachim Breitner ]
  * Depend on gcc (Closes: #736472)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Feb 2014 12:21:48 +0000

ghc (7.6.3-6) unstable; urgency=medium

  * Closes: #731597: llvm-3.3 compatibility (patch from upstream)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 08 Dec 2013 18:28:30 +0000

ghc (7.6.3-5) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Removing gcc from control file build-deps

  [ Louis Bettens ]
  * fix cabal bug #1087 in current version

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 28 Aug 2013 16:14:21 +0200

ghc (7.6.3-4) unstable; urgency=low

  [ Colin Watson ]
  * Enable verbose build output (see
    http://lists.debian.org/debian-devel/2013/06/msg00539.html).

  [ Gianfranco Costamagna ]

  * Switch to llvm (Closes: #711948)
  * removed deprecated DM-Upload-Allowed
  * removed some version checks, higher versions are already in oldstable.
  * Added dpkg-buildflags as build-dep, fixing lintian warning.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 16 Aug 2013 14:40:37 +0200

ghc (7.6.3-3) unstable; urgency=low

  * Add patches/Handle-sign-bit-when-generating-veneer-for-ARM-Thumb.patch,
    patch by Colin Watson
  * Disable GHCi on arm, as it is severly borken (for more information see
    http://hackage.haskell.org/trac/ghc/ticket/7794)
  * Do not create system-wide documentation index if /usr/share/doc is
    missing. (Closes: #709911)
  * Create a symlink from prof_scc.png to prof_scc (Closes: #664043) 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 05 Jun 2013 20:57:49 +0200

ghc (7.6.3-2) unstable; urgency=low

  * Enable compat level 9
  * Remove transitional ghc6-* packages 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 11:12:19 +0200

ghc (7.6.3-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Apr 2013 19:12:24 +0200

ghc (7.6.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Jan 2013 21:16:52 +0100

ghc (7.6.1.20121207-2) experimental; urgency=low

  * Typo in ghc-haddock’s Provides, thanks to David Fox for noticing. 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 13 Dec 2012 18:33:48 +0100

ghc (7.6.1.20121207-1) experimental; urgency=low

  * New upstream release (aka 7.6.1-rc).
    + Closes: #677096 (huge number of wakeups)
  * Remove debian/patches/armhf_llvm_abi, applied upstream, thanks to Shawn
    Landden for noticing (Closes: #695739)
  * Hardcode in debian/rules that haddock supportin interface version 22 also
    supports interface version 21.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 12 Dec 2012 12:32:48 +0100

ghc (7.6.1-3) experimental; urgency=low

  * Bump standards version, no change
  * Change VCS fields back to regular repo 
  * Build the runtime also in the thr_debug_p way, suggestion by Michał J.
    Gajda

 -- Joachim Breitner <nomeata@debian.org>  Tue, 04 Dec 2012 22:00:27 +0100

ghc (7.6.1-2) experimental; urgency=low

  * Do not Provide transformers, it is only used internally.
  * Ensure this is not used with unstable’s haskell-devscripts 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 22:41:46 +0200

ghc (7.6.1-1) experimental; urgency=low

  * New upstream release 
    Dropped patches, applied upstream:
     + Fix-GHCi-segfault-on-linux-powerpc
     + hurd-is-ELF
     + use-llvm-3.0
     + memcpy-ffi
     + fix-PPC-right-shift-bug
     + no-useless-time
     + fix-ppc-ghci-segfault
  * Configure the use of llc-3.0 and opt-3.0 via ./configure 
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 15:48:21 +0200

ghc (7.4.2-2) experimental; urgency=low

  [ Erik de Castro Lopo ]
  * Add patch to fix GHCi segfault on startup on PowerPC (Closes: #631073).
  * Remove patch no_ghci_on_powerpc.

  [ Iain Lane ]
  * Update Vcs-* to point to experimental branch

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  6 Aug 2012 20:19:46 +1000

ghc (7.4.2-1) experimental; urgency=low

   * New upstream.
   * debian/patches/series
     - Remove patch fix-ARM-s-StgCRun-clobbered-register-list-for-both-A,
       fix-ARM-StgCRun-to-not-save-and-restore-r11-fp-regis and memcpy-ffi.patch
       (in upstream).
     - Refresh other patches.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 11 Jun 2012 15:21:26 +1000

ghc (7.4.1-4) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * Add debian/patches/fix-PPC-right-shift-bug which fixes upstream GHC bug:
    http://hackage.haskell.org/trac/ghc/ticket/6156 (Closes: #677591)
  * Refresh other patches.
  * debian/contol: Add myself to uploaders and set DM-Upload-Allowed to yes.

  [ Joachim Breitner ]
  * debian/patches/no-useless-timer: Backported from GHC 7.4.2, (Closes:
    #677096)
  * Make sure GHC is using ld.bfd, as it passes arguments not understood by
    the gold linker (Closes: #673081) 
  * Use a saner priority for the runhaskell alternative. (Closes: #676970).
    TODO for later: Consider removing the alternatives code altogether.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 16 Jun 2012 12:48:18 +0200

ghc (7.4.1-3) unstable; urgency=low

  * Remove the ghc-doc symlink logic from 7.0.4-3, as with 7.4.1, every
    documentation package had to be rebuit.
  * ghc-doc: Conflict on libghc-haddock-doc, as it contains files that moved
    into ghc-doc. (Closes: #659081)
  * Added debian/patches/memcpy-ffi.patch, backported from upstream master
    branch. See http://hackage.haskell.org/trac/ghc/ticket/5967.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 May 2012 21:51:17 +0200

ghc (7.4.1-2) unstable; urgency=low

  [ Iain Lane ]

  * Two new patches (backported by Iulian Udrea) to fix armel build
    failures. See upstream bug #5824.
    - fix-ARM-s-StgCRun-clobbered-register-list-for-both-A
    - fix-ARM-StgCRun-to-not-save-and-restore-r11-fp-regis
  * Use dh_autoreconf{,_clean} to autoreconf, mainly so we can have proper
    clean support.
  * armhf support (thanks to Jani Monoses):
    - debian/patches/ARM-VFPv3D16: Use vfp3-d16 FPU for ARM builds.
    - debian/patches/armhf_llvm_abi: Pass -float-abi=hard to llc on armhf if
      __ARM_PCS_VFP is defined (needs to be preprocessed for this)
    - debian/rules: Define __ARM_PCS_VFP on armhf for the above patch.

  [ Joachim Breitner]

  * patches/hurd-is-ELF added, Closes: #659530, thanks to Samuel
    Thibault
  * Also conflict with any provided libghc-*-dev packages. Thus, if a packages
    is moved _into_ ghc that was outside before, no external package can be
    installed (as was the case with binary).
  * patches/no-missing-haddock-file-warning: Quench warning, as it is quite
    common on Debian installations.
  * build-depends-indep on hscolour and fop, to ensure most documentation is
    built.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Mar 2012 19:32:34 +0100

ghc (7.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 03 Feb 2012 16:27:31 +0100

ghc (7.4.0.20120126-1) experimental; urgency=low

  * New upstream release candidate (7.4.1-rc2)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 Jan 2012 13:31:10 -0500

ghc (7.4.0.20120108-1) experimental; urgency=low

  * s/armef/armhf/ in debian/control
  * New upstream release, drop all patches introduced in 7.4.0.20111219-3,
    applied upstream.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Jan 2012 13:22:18 +0100

ghc (7.4.0.20111219-4) experimental; urgency=low

  * Prefix haddock interface number with "haddock-interface" in
    Depends/Provides pair
  * Switch to llvm and registered builds on arm*
  * Do not set UseLibFFIForAdjustors in debian/rules, as the code in
    ./mk/config.mk.in seems to do the same anyways.
  * Do not set GhcWithInterpreter=YES for kfreebsd-*, done in
    ./mk/config.mk.in by now.
  * Do not set GhcUnregisterised=YES in debian/rules, ./mk/config.mk.in
    already makes the right choice.
  * Do not build the accidentally included dph libraries.
  * Explicitly depend on llv-3.0 and use corresponding binary names.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 02 Jan 2012 20:39:42 +0100

ghc (7.4.0.20111219-3) experimental; urgency=low

  * patches/kfreebsd-OS: KFreeBSD is an ELF-based OK
  * patches/S390-Arch: Mention bitness of S390(x)
  * patches/ArchMips: Add more missing Arch values

 -- Joachim Breitner <nomeata@debian.org>  Fri, 30 Dec 2011 18:05:33 +0100

ghc (7.4.0.20111219-2) experimental; urgency=low

  * Fix building bundeled haddock out-of-tree (We need to re-think this
    approach).
  * Drop patches/lpthread-bootstrap-workaround, probably not needed any
    more. Also drop autoconf dependency.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 23 Dec 2011 09:23:42 +0100

ghc (7.4.0.20111219-1) experimental; urgency=low

  * New upstream release (AKA 7.4.1-rc1)
    + Closes: #635587 (GHCi linker could not find libstdc++)
    + Closes: #514720 (cabal installation wrecks permissions) (was actually
      closed earlier, I think)
    + Closes: #533022 (Data.Word should define instances of Random for each
      type)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 22 Dec 2011 14:34:50 +0100

ghc (7.2.2-1) experimental; urgency=low

  * New upstream release
  * Call autoconf and remove configure in clean, to avoid having an
    autoreconf-patch in debian/patches.
  * Drop patches/hash-version-number, applied upstream
  * Drop improve_linker_script_handling, applied upstream

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 Nov 2011 18:34:17 +0100

ghc (7.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Aug 2011 20:58:31 +0200

ghc (7.2.0.20110728-1) experimental; urgency=low

  * Remove ghc-doc dependency on ghc, it did not have the desired effect.
    Instead call ghc-pkg recache in ghc-doc’s trigger as well.
  * Install 7.2.1-rc1 to experimental.
  * Undo the symlink-workarounds introduced in 7.0.4-3. The -doc work-around
    is still needed, as the haddock interface version did not change.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Aug 2011 19:50:04 +0200

ghc (7.0.4-9) UNRELEASED; urgency=low

  * Suggest llvm package

 -- Joachim Breitner <nomeata@debian.org>  Thu, 10 Nov 2011 19:19:41 +0100

ghc (7.0.4-8) unstable; urgency=low

  * Remove ghci support on powerpc (Closes: #631073)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 30 Oct 2011 17:56:23 +0100

ghc (7.0.4-7) unstable; urgency=low

  [ Joachim Breitner ]
  * patches/configure-s390x: Add s390x to the list of known architectures.
  * add armhf in debian/rules (Patch by Riku Voipio, Closes: #640811)

  [ Iain Lane ]
  * Handle linker scripts for which dlopen returns "file too short" and/or
    which contain INPUT statements (for example libncurses.so) (Closes:
    #644591)
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Tue, 18 Oct 2011 17:09:39 +0100

ghc (7.0.4-6) unstable; urgency=low

  * Fix #609445 by actually removing the patch for #566331, not needed any
    more since this upstream commit:

      Sat Jul 31 12:55:06 BST 2010  Ian Lynagh <igloo@earth.li>
      * Expose the functions haddock needs even when haddock is disabled; #3558


 -- Joachim Breitner <nomeata@debian.org>  Wed, 31 Aug 2011 08:44:33 +0200

ghc (7.0.4-5) unstable; urgency=low

  * Remove ghc-doc dependency on ghc, it did not have the desired effect.
    Instead call ghc-pkg recache in ghc-doc’s trigger as well.
  * Fix missing instance documentation (Closes: #609445)
    This was a Debian-specific regression, introduced in the fix for #566331
    or later caused by it, and fixed by building haddock with -DGHCI.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 30 Jul 2011 16:09:07 +0200

ghc (7.0.4-4) unstable; urgency=low

  * Let ghc-doc depend on ghc. It already does via ghc-haddock, making this
    explicit ensures that the triggers run in the right order.
  * debian/patches/hash-version-number: Include the upstream version number in
    the ABI hash. We do need to recompile everything, even after a minor ghc
    upgrade. This allows to use the same mechanism to ensure correctness and
    detect that we need to recompile something as for other kind of
    recompilations. (Closes: #633828)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 16 Jul 2011 11:23:09 +0200

ghc (7.0.4-3) unstable; urgency=low

  * Employ similar symlink work-around to merge /var/lib/ghc-*/package.conf.d
    into /var/lib/ghc/package.conf.d. Also remove version number from
    /usr/lib/ghc path.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Jul 2011 13:13:45 +0200

ghc (7.0.4-2) unstable; urgency=low

  * Fix ghc-ghci existance check logic

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Jul 2011 15:23:55 +0200

ghc (7.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #622731)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Jul 2011 19:50:41 +0200

ghc (7.0.3-2) unstable; urgency=low

  * Mention correct haddock version in package description.
  * Install .haddock files under /usr/lib/ghc-doc/haddock, a path valid across
    ghc-versions. Also move them to the ghc-doc package.
  * In ghc-doc.prerm, do a better job of cleaning
    /usr/share/doc/ghc-doc/html/libraries of files generated when creating the
    haddock index.
  * Make Provides: ghc-ghci dependent on existence of ghci binary
    (Closes: #629038)
  * Make ghc-haddock depend on the exact version of ghc, just to be on the
    safe side. (Closes: #539312)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 Jun 2011 21:07:06 +0200

ghc (7.0.3-1) unstable; urgency=low

  * Remove Build-Conflict on dash, as a fixed package has been uploaded.
  * Do not provide utf8-string or xhtml, as they are only built internally.
  * Remove Build-Depend alternative ghc6, and also remove Provides: ghc6, as
    this is a lie and I see no techical reason for it.
  * New upstream release
  * Avoid "hPutChar: resource vanished" message and simplify postinst script
    (Closes: #619403)
  * Remove package cache in prerm, even on upgrade. This is the right thing to
    do if upgrading to a new upstream release, and does not hurt in the other
    cases.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Apr 2011 21:43:15 +0530

ghc (7.0.2-7) unstable; urgency=low

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Mar 2011 21:45:53 +0530

ghc (7.0.2-6) experimental; urgency=low

  * Set a dummy HOME variable upon build. Some build daemons do not set HOME,
    but ghc-cabal expects it to be available.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 25 Mar 2011 12:47:29 +0530

ghc (7.0.2-5) experimental; urgency=low

  * Build-Conflict with broken version of dash (See #618023)
  * Link ghc-doc to haddock via virtual package "haddock-interface-<n>"
  * Remove redundand Build-dependency on autoconf

 -- Joachim Breitner <nomeata@debian.org>  Wed, 23 Mar 2011 12:03:56 +0530

ghc (7.0.2-4) experimental; urgency=low

  * ghc6-preinst: Remove package.cache file of any ghc6 installation to avoid
    dpkg warning at upgrade time.
  * Build-conflict with ccache. pbuilder installs ccache by default, which
    causes ghc to pick up a wrong path for "gcc".
  * Pass -lpthread everywhere. This can possibly be dropped later.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 11 Mar 2011 14:00:11 +0530

ghc (7.0.2-3) experimental; urgency=low

  [ Iain Lane ]
  * debian/rules: Build with -mminimal-toc on ppc64 — thanks to Colin
    Watson for investigation and patch.

  [ Joachim Breitner ]
  * Disable the use of epoll_create1 and use epoll_create, as the former is
    not available on Linux kernels earlier than 2.6.27.
    http://hackage.haskell.org/trac/ghc/ticket/5005

 -- Joachim Breitner <nomeata@debian.org>  Wed, 09 Mar 2011 21:44:50 +0530

ghc (7.0.2-2) experimental; urgency=low

  [ Joachim Breitner ]
  * Remove procps dependency (watcher.hs has been removed since a while)
  * Build-depend and depend on libgmp-dev instead of libgmp3-dev.

  [ Erik de Castro Lopo ]
  * Add patch to fix powerpc compile error (powerpc-compile-616635)
    (Closes: #616635)

  [ Joachim Breitner ]
  * fix FTBFUS by removing left-over binaries

 -- Joachim Breitner <nomeata@debian.org>  Tue, 08 Mar 2011 13:01:18 +0530

ghc (7.0.2-1) experimental; urgency=low

  * (Closes: 554174) Segfaults at startup not observable any more
  * Tweak debian/copyright
  * New upstream release (Should help to close 616494)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Mar 2011 22:04:21 +0530

ghc (7.0.1-1) experimental; urgency=low

  [ Joachim Breitner ]
  * New upstream release, some patches included.
  * Package adopted by the Debian Haskell Group. Thanks to kaol for his
    work!
  * Rename source and binary packages to ghc, include transitional dummy
    package
  * Standards-Version 3.9.1 (no changes necessary)

  [ Erik de Castro Lopo ]
  * Re-enable building of ghci on powerpc. (Closes: 557185)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 17 Jan 2011 12:49:24 +0530

ghc6 (6.12.3-1) experimental; urgency=low

  * New upstream release
    * ghci :m now works with module names containing ' (Closes: #580568)
  * Put haddock and the shared libraries into their own packages.
    (Closes: #571537)
  * Only insert packages in gen_contents_index which are both registered
    and for which the html directory exists.
  * Use ghc-pkg --global in ghc6's trigger to avoid accessing HOME.
    (Closes: #578679)
  * Fix directories in haddock manpage.  (Closes: #578321)
  * Apply some patches from Gentoo (thanks, Sergei Trofimovich) hopefully
    fixing ia64 build.
  * Downgrade ghc6's dependency on perl to Suggests and have ghc6-doc
    depend on perl.  (Closes: #553332)
  * Standards-Version 3.9.0 (no changes necessary)
  * ghc6 package now provides ghc6-ghci on architectures where it's
    supported (i386 and amd64 only currently).

 -- Kari Pahula <kaol@debian.org>  Tue, 20 Jul 2010 19:19:20 +0300

ghc6 (6.12.1-13) unstable; urgency=low

  * Remove debian/watcher.sh.  (Closes: #571824)
  * Don't ship /var/lib/ghc-6.12.1/package.conf.d/package.cache with ghc6.
    (Closes: #574417)
  * Patch compiler/rename/RnSource.lhs to make hlist happy.
  * Remove some more generated .hc files in debian/rules clean.
  * Don't ship broken symlink /usr/lib/ghc-6.12.1/package.conf

 -- Kari Pahula <kaol@debian.org>  Sat, 17 Apr 2010 10:35:25 +0300

ghc6 (6.12.1-12) unstable; urgency=low

  * Fix the kfreebsd-* patch.
  * Don't die in ghc6's trigger if ghc-pkg check fails.  (Closes: #570921)
  * Recognise DEB_BUILD_OPTIONS=parallel.

 -- Kari Pahula <kaol@debian.org>  Mon, 22 Feb 2010 15:08:48 +0200

ghc6 (6.12.1-11) unstable; urgency=low

  * Add "unset LC_ALL\nexport LC_CTYPE=en_US" to bin/ghc wrapper on ia64.
  * Actually append GhcWithInterpreter=YES to mk/build.mk on kfreebsd-*,
    don't just echo it to stdout.

 -- Kari Pahula <kaol@debian.org>  Mon, 22 Feb 2010 03:24:02 +0200

ghc6 (6.12.1-10) unstable; urgency=low

  * Use dh_haskell_depends from haskell-devscripts to create provides
    including the packages ABI.
  * Make provided substvar for utf8-string too.
  * Run "ghc-pkg check" in ghc6's trigger also.
  * Added a stub /usr/share/doc/ghc6-doc/index.html that redirects to
    html/index.html.

 -- Kari Pahula <kaol@debian.org>  Fri, 19 Feb 2010 18:08:57 +0200

ghc6 (6.12.1-9) unstable; urgency=low

  * Remove /usr/lib/ghc-$(ProjectVersion)/lib/haddock (ie. the internal
    haddock binary that ghc6 used at build time) from the ghc6 package.
  * Install haddock's files from /usr/share/haddock-$VERSION in ghc6
    package, not ghc6-doc.

 -- Kari Pahula <kaol@debian.org>  Sat, 13 Feb 2010 02:49:11 +0200

ghc6 (6.12.1-8) unstable; urgency=low

  * Use tabs instead of 8 spaces in debian/rules for ia64 specific flags.

 -- Kari Pahula <kaol@debian.org>  Wed, 10 Feb 2010 13:19:32 +0200

ghc6 (6.12.1-7) unstable; urgency=low

  * Include patches to haddock to ghc6's own patches and don't apply them
    in debian/rules.
  * Update the patch for alpha.
  * ghc6-doc depends on ghc6 (>= ${binary:Version}), not haddock.
  * Upload to unstable.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Feb 2010 23:45:14 +0200

ghc6 (6.12.1-6) experimental; urgency=low

  * Use some more compiler flags to make ghc6 build on ia64 for real.
  * Patch TcForeign.lhs and EventLog.c to make ghc6 build on alpha.

 -- Kari Pahula <kaol@debian.org>  Mon, 08 Feb 2010 13:58:59 +0200

ghc6 (6.12.1-5) experimental; urgency=low

  * Included haddock with the ghc6 package.  Provides, conflicts and
    replaces haddock.  Copied over haddock.1 from the haddock package.
  * Build with UseLibFFIForAdjustors=YES on alpha.
  * Set ghc6 depend on libc6-dev. (Closes: #567809)
  * Standards-Version 3.8.4, no changes necessary.
  * Patch up the sources some more for kfreebsd. (Closes: #567298)

 -- Kari Pahula <kaol@debian.org>  Fri, 05 Feb 2010 12:05:15 +0200

ghc6 (6.12.1-4) experimental; urgency=low

  * Patched utils/haddock/src/Haddock/Interface/Create.hs to use
    lookupGlobalName instead of lookupName when GHCI is
    unavailable. (Closes: #566331)

 -- Kari Pahula <kaol@debian.org>  Thu, 28 Jan 2010 11:46:55 +0200

ghc6 (6.12.1-3) experimental; urgency=low

  * Updated ghc-pkg's man page.
  * Added a trigger to run ghc-pkg recache when files are added to
    /var/lib/ghc-6.12.1/package.conf.d/.
  * Patch rts/posix/OSThreads.c to define _GNU_SOURCE on kfreebsd
    too. (Closes: #565818)
  * Patch utils/haddock/src/Haddock/Interface/AttachInstances.hs to use
    Nothing as mb_info in attachInstances when GHCI is
    unavailable. (Closes: #566331)
  * Breaks cabal-install (<< 0.8.0).

 -- Kari Pahula <kaol@debian.org>  Wed, 27 Jan 2010 23:37:32 +0200

ghc6 (6.12.1-2) experimental; urgency=low

  * Added missing build dependency: libncurses5-dev.
  * Use the included haddock to build documentation and drop the
    build-depends-indep on haddock.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 Jan 2010 10:02:15 +0200

ghc6 (6.12.1-1) experimental; urgency=low

  * New upstream release (Closes: #539789)
    * System.Posix.Semaphore fixed. (Closes: #544127)
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version 3.8.3 (no changes necessary).
  * Added a dependency on libbsd-dev (Closes: #549403)
  * Patched compiler/utils/Panic.lhs to add a message to internal GHC
    error messages, suggesting removing .hi files and pointing to
    README.Debian. (Closes: #532443)
  * Don't alter Binary.hs and just let Ints to be stored in architecture
    native format.
  * Don't set XMLDocWays in build.mk since it's not used anymore.
  * Remove lpia arch from debian/rules.
  * Split debian/rules binary to binary-arch and binary-indep. (Closes: #543972)
  * Set SRC_HC_OPTS += -lffi in build.mk and update the patch
    system-libffi to use Debian's packaged libffi.
  * Update the patch to make the build system use /usr/bin/haddock and not
    build its own.

 -- Kari Pahula <kaol@debian.org>  Tue, 12 Jan 2010 16:29:03 +0200

ghc6 (6.10.4-2) unstable; urgency=low

  * Patch libraries/unix/System/Posix/Semaphore.hsc

 -- Kari Pahula <kaol@debian.org>  Sat, 29 Aug 2009 10:08:42 +0300

ghc6 (6.10.4-1) unstable; urgency=low

  * New upstream release
  * Pass UseLibFFIForAdjustors=YES to build options on armel.
  * Standards-Version 3.8.2 (no changes necessary).
  * Pass GhcUnregisterised=NO to build options on lpia (for Ubuntu's
    benefit).

 -- Kari Pahula <kaol@debian.org>  Wed, 22 Jul 2009 15:22:36 +0300

ghc6 (6.10.3-3) unstable; urgency=low

  * Patch mkWeakForeignEnv# in rts/PrimOps.cmm to avoid random
    segfaults. (re:
    https://bugs.launchpad.net/ubuntu/+source/ghc6/+bug/382803)
  * Exclude internal boot libraries from generated Provides: libghc6-*
    substvars. (Closes: #531318)

 -- Kari Pahula <kaol@debian.org>  Sat, 27 Jun 2009 17:58:49 +0300

ghc6 (6.10.3-2) unstable; urgency=low

  * Only call ghc-pkg6 in ghc6-doc's trigger if ghc6 is installed.
    (Closes: #530732)
  * Fix the test for seeing if ghci would work.
  * Build a registerised build on powerpc, but disable ghci.

 -- Kari Pahula <kaol@debian.org>  Thu, 28 May 2009 12:40:17 +0300

ghc6 (6.10.3-1) unstable; urgency=low

  * New upstream release
    * GHCi uses stdio in blocking mode now. (Closes: #512762)
    * GHC can cope with missing setitimer(ITIMER_VIRTUAL) support.
      (Closes: #509252)
    * Uses haskeline instead of editline.
  * Only provide ghci and runghc on archs that support it.
    (Closes: #320335)
  * Patched compiler/utils/Binary.hs to store Ints as Int64s on 32 bit
    architectures and warn if it needed to truncate when unserialising.
  * Moved package.conf to /var/lib/ghc-$VERSION/.
  * Added a /var/lib/ghc-$VERSION/package.conf.d/ dir.
  * Set symlinks from /usr/lib/ghc-$VERSION/package.conf* to /var.
  * Don't ship generated index files in /usr/share/doc/ghc6-doc/libraries/
    and remove them in postrm. (Closes: #501188)
  * Remove any leftover index.html files in
    /usr/share/doc/ghc6-doc/html/libraries/. (Closes: #461323)
  * Bumped to debhelper compat 7 and Standards-Version 3.8.1 (no changes
    needed).
  * Section: haskell for ghc6 and ghc6-prof.
  * Fix up generated Provides for ghc6 and ghc6-doc.
    (Closes: #514085, #518400)
  * Added man pages for runghc and ghc-pkg. (Closes: #460425, #315763)
  * Removed alternative for /usr/bin/ghcprof. (Closes: #527382)
  * Build an unregisterised build on powerpc. (Closes: #514946)
  * Build-depend on a newer binutils on [arm armel].  Add -mlong-calls to
    gcc's flags.
  * gen_contents_index reintroduced, this time as a perl script.
  * Added /usr/share/ghc6-doc/ghc-$VERSION/desc/ for copies of package
    conf info in -doc packages.
  * Added a preinst for ghc6, to remove a package.conf file from a removed
    but not purged old version.

 -- Kari Pahula <kaol@debian.org>  Mon, 18 May 2009 22:18:18 +0300

ghc6 (6.10.1+dfsg1-13) unstable; urgency=low

  * Haddock again just a B-D-I, now with (>= 2.4.1-4).
  * Patched compiler/utils/Binary.hs to store Ints as Int32s on 64 bit
    arches, too.
  * Put .haddock files back to ghc6-doc.

 -- Kari Pahula <kaol@debian.org>  Wed, 25 Feb 2009 05:53:48 +0200

ghc6 (6.10.1+dfsg1-12) unstable; urgency=low

  * Put haddock in Build-Depends on [i386 amd64 sparc powerpc mips mipsel
    s390 kfreebsd-i386].

 -- Kari Pahula <kaol@debian.org>  Sat, 21 Feb 2009 14:08:08 +0200

ghc6 (6.10.1+dfsg1-11) unstable; urgency=low

  * Put .haddock files in ghc6, not ghc6-doc.
  * Don't call ghc-pkg in a loop in ghc6-doc's trigger, use perl instead.
  * Don't remove packages.conf on upgrade from one 6.10.1+dfsg1 version to
    another.
  * Generate haddock index in ghc6-doc's postinst configure, too.

 -- Kari Pahula <kaol@debian.org>  Sat, 21 Feb 2009 10:00:19 +0200

ghc6 (6.10.1+dfsg1-10) unstable; urgency=low

  * chmod +x debian/mk_provided_substvars before calling it.

 -- Kari Pahula <kaol@debian.org>  Tue, 17 Feb 2009 19:03:49 +0200

ghc6 (6.10.1+dfsg1-9) unstable; urgency=low

  * Made ghc6-doc's postinst only call haddock on haddock files that are
    actually installed.

 -- Kari Pahula <kaol@debian.org>  Tue, 17 Feb 2009 12:52:37 +0200

ghc6 (6.10.1+dfsg1-8) unstable; urgency=low

  * Moved xsltproc, docbook-xsl, docbook-xml back as Build-Depends.

 -- Kari Pahula <kaol@debian.org>  Tue, 17 Feb 2009 09:52:55 +0200

ghc6 (6.10.1+dfsg1-7) unstable; urgency=low

  * Set build deps related to doc building as Build-Depends-Indep.
  * Set BUILD_HADDOCK_DOCS at build time, depending on haddock's
    presence.  See debian/rules for rationale.
  * Replaced /usr/lib/ghc6-doc/gen_contents_index with a symlink to
    /bin/true.
  * Amended ghc6-doc's "postinst triggered" to perform what g_c_i did.
  * Added GhcDebugged=YES and some other flags to build.mk on ia64 and hppa.
  * Moved provided-{dev,prof,doc} generation to its own script and catch
    errors in it. (Closes: #514085, #514086)
  * Further cleanups to debian/rules.

 -- Kari Pahula <kaol@debian.org>  Mon, 16 Feb 2009 12:28:56 +0200

ghc6 (6.10.1+dfsg1-6) experimental; urgency=low

  * This time actually change the build on ia64 to be unregisterised.
  * Dropped ghc6's dependency on haskell-utils.
  * Removed calls to haskell-utils from prerm and postinst.
  * Build haddock docs on i386 and amd64. (Closes: #514088)

 -- Kari Pahula <kaol@debian.org>  Thu, 05 Feb 2009 14:14:01 +0200

ghc6 (6.10.1+dfsg1-5) experimental; urgency=low

  * Add libffi-dev as a dependency for ghc6. (Closes: #513289)
  * Replaced libreadline5-dev with libedit-dev from ghc6's deps.
  * Don't add any extra flags to GhcRTSWays build variable.
  * Build a registerised build on kfreebsd-i386. (Closes: #513198)
  * Build an unregisterised build on ia64.

 -- Kari Pahula <kaol@debian.org>  Wed, 28 Jan 2009 09:23:11 +0200

ghc6 (6.10.1+dfsg1-4) experimental; urgency=low

  * Add pkg-config as a build dep.
  * Explicitly build an unregisterised version of the compiler on other
    arches but i386, amd64, powerpc, ia64. (Closes: #512827)
  * Remove --relax altogether from ia64's ld flags.

 -- Kari Pahula <kaol@debian.org>  Mon, 26 Jan 2009 15:10:54 +0200

ghc6 (6.10.1+dfsg1-3) experimental; urgency=low

  * Again, use the same build options for all arches and just use what
    arch-specific exceptions upstream provided.

 -- Kari Pahula <kaol@debian.org>  Fri, 23 Jan 2009 08:24:45 +0200

ghc6 (6.10.1+dfsg1-2) experimental; urgency=low

  * Patched the build system to use haddock from /usr/bin/, not build its
    own.
  * Disabled building haddock docs for this version.
  * Re-enabled some of 6.8.2's build options for non-i386, non-amd64.
  * Patch compiler/Makefile's ia64 build options;
    s/--ld-option=-Wl,--relax/--ld-option=--relax/.

 -- Kari Pahula <kaol@debian.org>  Wed, 21 Jan 2009 23:33:11 +0200

ghc6 (6.10.1+dfsg1-1) experimental; urgency=low

  * New upstream release (Closes: #495126)
    * Change the calling conventions for unboxed tuples slightly.
      (Closes: #365497)
    * Better documentation for swapMVar. (Closes: #405717)
    * Don't change code in error messages. (Closes: #499137)
    * Improve error reporting for 'deriving' (Closes: #499216)
    * Better error message when -XRankNTypes is missing. (Closes: #499217)
    * ghc-pkg respects --global with 'field' option. (Closes: #510499)
  * Repackaged to remove a copy of GNU MP library.
  * Enable building the stage2 compiler on all architectures.
  * Added information about libffi (which is included with GHC) to
    debian/copyright.
  * Manage changes to the source with quilt.
  * Link against the system's libffi and add libffi-dev as a build
    dependency.
  * Build-dep on haddock >= 2.4.1-1.
  * Build-dep on libedit-dev, removed build-dep on libreadline-dev.
  * Patched gen_contents_index: fixed the case when not run inplace; trac
    #2764
  * Patched libraries/base/Data/Data.hs: use Prelude.(,,) for
    tuple3DataType; trac #2750
  * Added a trigger to ghc6-doc for /usr/share/doc/ghc6-doc/libraries to
    run gen_contents_index. (Closes: #506568)

 -- Kari Pahula <kaol@debian.org>  Mon, 19 Jan 2009 12:03:16 +0200

ghc6 (6.8.2dfsg1-1) unstable; urgency=medium

  * Repackaged the upstream tarball to remove a copy of GNU MP library
    with GFDLed docs w/ invariant sections.  (Closes: #511756)

 -- Kari Pahula <kaol@debian.org>  Thu, 15 Jan 2009 07:42:47 +0200

ghc6 (6.8.2-7) unstable; urgency=medium

  * Build-Depend on hurd as an alternative to procps. (Closes: #481343)
  * Added AC_SYS_LARGEFILE to libraries/unix/configure.ac and ran
    autoreconf. (Closes: #500407)

 -- Kari Pahula <kaol@debian.org>  Sun, 28 Sep 2008 10:32:20 +0300

ghc6 (6.8.2-6) unstable; urgency=medium

  * New maintainer.
  * Made the perl script driver/split/ghc-split not use the obsolete $*
    var (Closes: #489157)
  * Copied libraries/unix/System/Posix/Resource.hsc and
    libraries/base/include/HsBase.h from 6.8.3 to fix issues with
    setResourceLimit. (Closes: #491909)

 -- Kari Pahula <kaol@debian.org>  Wed, 03 Sep 2008 23:41:18 +0300

ghc6 (6.8.2-5) unstable; urgency=low

  * Don't build template-haskell if we're not building GHCi.
    The package is largely useless without GHCi, and some of the buildds
    were having trouble building template-haskell. We'll need to fix
    this some other way if GHCi is to be available on every arch, though...

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 01 May 2008 12:32:13 +0000

ghc6 (6.8.2-4) unstable; urgency=low

  * Small wibbles to debian/watcher.sh.
  * Add a build-dep on procps (debian/watcher.sh runs ps).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 26 Mar 2008 17:12:18 +0000

ghc6 (6.8.2-3) unstable; urgency=low

  * Every 10 minutes, print any "ps ux" lines that mention gcc or ghc.
    According to folks on IRC, this is standard practice. It means that
    we don't have to worry about security buildds having different
    timeouts to the normal builders.
  * Apply upstream patch:
        FIX #2073: Don't add empty lines to GHCI's history
        Ian Lynagh <igloo@earth.li>**20080224143256
    Closes: #461170.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 24 Mar 2008 22:09:02 +0000

ghc6 (6.8.2-2) unstable; urgency=low

  * Apply upstream patch:
        Tweak the splitter
        Ian Lynagh <igloo@earth.li>**20080116195612
        We were generating a label ".LnLC7", which the splitter was confusing
        with a literal constant (LC). The end result was the assembler tripping
        up on ".Ln.text".
    Closes: #466262.
  * Make an hpc symlink in /usr/bin. Closes: #461146.
  * Add a dep and build-dep on gcc >= 4:4.2 as we need the
    -fno-toplevel-reorder flag. Closes: #461332.
  * Put the right upstream source URL in debian/copyright.
    Closes: #465058.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 20 Feb 2008 17:32:52 +0000

ghc6 (6.8.2-1) unstable; urgency=low

  * Strengthen haddock dep and build-dep to 0.8-2 as we need the
    version that makes compatible files on 32 and 64 bit arches.
    Closes: #433251.
  * Add a build-dep on hscolour. We now use it when making the
    documentation, so the haddock docs link to syntax highlighted
    source.
  * Remove the libsrc package. ghc6-doc now includes the sources anyway.
    Closes: #432706.
  * gen_contents_index is now provided by the upstream install, so we
    no longer ship our own copy. However, we do have to move it into
    /usr/lib rather than /usr/share/doc.
  * Remove the stat2resid slave of the GHC symlink, as stat2resid
    no longer exists. Closes: #432715.
  * We set bindir, docdir, htmldir, dvidir, pdfdir and psdir in
    mk/build.mk rather than with configure flags, as the way configure
    currently works means they can't be set relative to other variables
    if set with configure flags.
  * We no longer pass --datadir to configure; we used to use this to
    get the docs in the right place.
  * When doing the install step, we now use DESTDIR rather than prefix
    to override where the files go.
  * We now need to set HADDOCK_DOCS=YES in mk/build.mk in order to get the
    haddock docks built.
  * Removed "html/" from the documentation path in ghc6-doc.postinst,
    ghc6-doc.prerm and ghc6-doc.doc-base.users-guide.
  * Use "[ ! -f mk/config.mk ] ||" to guard "make distclean" rather than
    ignoring all errors from it.
  * Use ${binary:Version} rather than ${Source-Version} to specify the
    dependency of ghc6-prof on ghc6.
  * All the libraries now install LICENSE files, so we remove them after
    the install step.
  * Follow change in man path from /usr/man to /usr/share/man.
  * lintian thinks that Cabal's Distribution/License.hi is an extra
    licence file, so add a lintian override.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 18 Dec 2007 22:05:22 +0000

ghc6 (6.6.1-2) unstable; urgency=low

  * ghc6-doc now depends on haddock as it needs to run
    gen_contents_index in postinst. Closes: #423561.
  * ghc6-doc and ghc6-libsrc depend on ${shlibs:Depends}, ${misc:Depends}.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 15 May 2007 14:12:53 +0000

ghc6 (6.6.1-1) unstable; urgency=low

  * New upstream version.
  * Policy 3.7.2 compliant.
  * ghc6-doc provides libghc6-PACKAGE-doc for the various packages it
    has docs for.
  * Tweaked debian/rules to handle changes.
  * Remove build-dep on xutils; we no longer use lndir (which has now
    moved to xutils-dev anyway!)
  * Remove build-dep on cpio; we now let dh_install do all the moving
    rather than doing it ourselves with cpio.
  * Remove build-dep on time; no longer used.
  * Remove build-deps on libx11-dev, libsm-dev, libice-dev, libxmu-dev,
    libxi-dev; the X11 stuff is now in separate Cabal packages.
  * Manpages generation script removed s it is now in upstream.
  * Pass --datadir to ./configure rather than "make install-docs"
    so the haddock fields in package.conf get set correctly.
    Closes: #417325.
  * In mk/config.mk.in, don't put ghc-6.6.1/ on the end of datadir.
  * Use $(INSTALL) rather than hardcoding /usr/bin/install everywhere.
  * Don't generate or install library HTML doc contents and index.
  * Do install libraries-footer.txt, libraries-header.txt and the various
    prologue.txt's.
  * Install a gen_contents_index script for generating the haddock
    contents and index.
  * Add -X.haddock to the dh_compress call to make sure the .haddock
    files aren't getting compressed.
  * Give ghc6-doc a postinst to generate the haddock contents and index
    when it is installed.
  * Give ghc6-doc a prerm to clean up the above.
  * Revert these earlier changes as we now have haddock 0.8:
    * Remove the --source-module argument to haddock in mk/package.mk
      as haddock 0.7 doesn't support it.
    * Re-add the -optP-P when generating .raw-hs files as haddock 0.7
      doesn't cope with line numbers in the files.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 29 Apr 2007 00:47:00 +0100

ghc6 (6.6-3) unstable; urgency=low

  * Add arm to the list of arches that have ghc6.
  * Add arm to the arches in compiler/cmm/PprC.hs for which
    loads and stores to be printed in a way that works if they are not
    aligned as the arch wishes.
  * For arm's odd floating point numbers:
    * Add FPTOOLS_FLOAT_WORD_ORDER_BIGENDIAN test to aclocal.m4
    * Call FPTOOLS_FLOAT_WORD_ORDER_BIGENDIAN after AC_C_BIGENDIAN
      in configure.ac.
    * Extra section for the FPTOOLS_FLOAT_WORD_ORDER_BIGENDIAN test in
      configure.
    * Add "#undef FLOAT_WORDS_BIGENDIAN" to mk/config.h.in.
    * Add FLOAT_WORDS_BIGENDIAN cases to rts/StgPrimFloat.c.
  * Apply the following upstream patch, to fix potential problems
    compiling ghc6 on amd64 (and possibly others):

    Fri Oct 20 16:39:25 BST 2006  Simon Marlow <simonmar@microsoft.com>
      * In hashExpr, use Word32 rather than relying on wrapping behaviour of Int
      Fixes #952, as it turns out.

      When compiling via C, we are at the mercy of C's undefined behaviour
      with respect to overflow of signed integer operations, and this was
      biting us here.

      Perhaps we should always add the -fwrapv flag to gcc, but since
      Haskell doesn't define overflow on Int either, it seemed the right
      thing to do to fix this code anyway.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 22 Oct 2006 22:36:32 +0000

ghc6 (6.6-2) unstable; urgency=low

  * Add mips and mipsel to the list of arches that have ghc6.
  * Add mips and mipsel to the arches in compiler/cmm/PprC.hs for which
    loads and stores to be printed in a way that works if they are not
    aligned as the arch wishes.
  * Removed the -static flag for mips from compiler/main/DynFlags.hs.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 16 Oct 2006 14:20:08 +0100

ghc6 (6.6-1) unstable; urgency=low

  * New upstream version.
  * Drop ghc6-hopengl package as HOpenGL is now split off from the
    GHC core.
  * Removed:
    * ghc6-hopengl.README.debian
    * ghc6-hopengl.examples
    * ghc6-hopengl.postinst.in
    * ghc6-hopengl.prerm.in
  * Removed opengl examples.
  * debian/scripts.mk no longer makes:
    * debian/ghc6-hopengl.postinst
    * debian/ghc6-hopengl.prerm
  * Removed all opengl-related commands from debian/rules.
  * Drop build-deps on
      xlibmesa-gl-dev, libglu1-xorg-dev | libglu-dev, libglut3-dev
    now we don't build the OpenGL libs.
  * Added note to manpage that ghci is not yet available on all arches.
  * Add ppc64 to the list of arches that have ghc6. Closes: #375623.
  * Update locations of README and ANNOUNCE in ghc6.docs.
  * Don't include ghc/mk/version.mk in debian/scripts.mk as it no longer
    exists. Instead, get ProjectVersion with some shell magic.
  * Don't include ghc/mk/version.mk in debian/scripts.mk as it no longer
    exists. Instead, pass $(ProjectVersion) in from debian/rules.
  * Remove mk/build.mk before we start filling it so the commands can be
    more symmetric.
  * Don't build the threaded RTS except on x86/amd64.
  * Don't try to link ghc6 with the threaded RTS except on x86/amd64.
  * Remove debian/test-build before creating it, so we can restart
    builds part-way through without them falling over.
  * Various paths in debian/rules lose their ghc/ prefix.
  * Clean up debian/test-build/ after doing the test.
  * hslibs no longer exists, so remove everything relating to it in
    debian/rules.
  * Remove register declarations from rts/StgCRun.c that break the
    unregisterised build on alpha.
  * Add to compiler/cmm/PprC.hs an option for loads and stores to be
    printed in a way that works if they are not aligned as the arch
    wishes. Enable this option for alpha.
  * Remove the --source-module argument to haddock in mk/package.mk
    as haddock 0.7 doesn't support it.
  * Re-add the -optP-P when generating .raw-hs files as haddock 0.7
    doesn't cope with line numbers in the files.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 12 Oct 2006 01:22:24 +0000

ghc6 (6.4.2-2) unstable; urgency=low

  * Have ghc-pkg not create ~/.ghc when it doesn't need to, and return
    the empty package file when trying to read a package file that
    doesn't exist. Closes: #375166, #375188.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 24 Jun 2006 09:41:01 +0000

ghc6 (6.4.2-1) unstable; urgency=low

  * New upstream release. Closes: #369947.
  * Add --nonet to XSLTPROC_OPTS.
  * Add GhcWithInterpreter=NO on arches we don't build registerised
    due to http://hackage.haskell.org/trac/ghc/ticket/631

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 19 Jun 2006 22:43:02 +0100

ghc6 (6.4.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add docbook-xml to build-dep (Closes: #356015).

 -- Luk Claes <luk@debian.org>  Sat, 25 Mar 2006 18:43:52 +0100

ghc6 (6.4.1-2) unstable; urgency=low

  * Due to problems with xmltex's uninstallability and its long-standing
    bugs with lists rendering some docs unbuildable:
    * Set XMLDocWays to "html" in debian/rules, rather than "html dvi ps".
    * Remove build-deps on jade, docbook-utils, xmltex, docbook-xml.
  * Change ghc6-hopengl's dep on "libc6-dev" to
    "libc6-dev | libc6.1-dev | libc-dev"
  * Fix building cabal packages that build executables with HS-Source-Dir.
    Closes: #337909.
  * Use "tail -n +2" rather than the deprecated "tail +2" in debian/rules.
    Closes: #339606.
  * On the list of arches we build registerised:
    * Add amd64. Closes: #354872.
    * Remove sparc (it has bitrotted).
    List now reads "i386 amd64".
  * Remove ghc6.README.Debian (appeal for registerised ports). The problems
    when they bitrot outweigh the advantages IMO, at least until we have a
    testsuite we can run when building.
  * Apply fix for ghci failing to start ("Unable to mmap( MAP_FIXED ) for
    Jump Islands") from Ryan Lortie. Closes: #343428.
  * Delete ".SECONDARY:" from mk/suffix.mk as make >3.80 was taking
    forever due to bug #346248. Closes: #348633.
  * Changed xlibs-dev build-dep to:
    libx11-dev, libsm-dev, libice-dev, libxmu-dev, libxi-dev.
    Closes: #346752.
  * Add "GhcWithNativeCodeGen=NO" to mk/build.mk when we are building
    unregisterised.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 03 Mar 2006 00:32:06 +0000

ghc6 (6.4.1-1) unstable; urgency=low

  * New upstream release. Closes: #329322.
  * Relax the libgmp3-dev build-dep to make backporting easier.
  * Don't force using gcc-3.3 to build; drop gcc-3.3 build-dep.
  * Apply patch to add support for kfreebsdgnu to configure(.ac) and the
    mangler. Closes: #332977.
  * Add kfreebsd-i386 to ghc6_arches.
  * Add missing deps on libx11-dev, libsm-dev, libice-dev, libxmu-dev,
    libxi-dev, libc6-dev to ghc6-hopengl. Closes: #317069.
  * Update (build-)dep xlibmesa-glu-dev to libglu1-xorg-dev | libglu-dev.
  * Standards version 3.6.1 -> 3.6.2.
  * Upstream fixed a panic to give a sensible error message.
    Closes: #319294.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 14 Oct 2005 10:44:34 +0000

ghc6 (6.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * C++ ABI transition: Relink against new libgmp3c2 package.
    This will require a manual bootstrapping on each arch since ghc6
    build depends on itself and the new and old version of gmp3
    conflict with each other.  (Closes: #319222)
    - Versioned build dependency on libgmp3-dev (>= 4.1.4-6)
  * Build using gcc-3.3 since this version doesn't build/work using 4.0
    and a new upstream version that fixes it isn't available yet.

  See instructions in debian/bootstrap-extracted on how to build this.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 31 Aug 2005 19:08:22 +0200

ghc6 (6.4-4) unstable; urgency=low

  * Use &(arr->payload) instead of BYTE_ARR_CTS(arr) in Adjustor.c on
    ia64 as we no longer have the definition of BYTE_ARR_CTS to hand.
  * Use ASSIGN_DBL and PK_DBL in generated C code from CMM code to avoid
    unaligned access SIGBUSes on some arches. Closes: #309025.
  * Use the stage2 ghc-inplace when checking "hello world" works.
  * Build-dep on xmltex, docbook-xsl and docbook-xml.
  * Set XMLDocWays rather than SGMLDocWays. Closes: #309016.
  * Disable dvi and ps docs as they don't build.
  * Remove ps and dvi sections from debian/ghc6-doc.doc-base.users-guide.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 20 May 2005 12:42:52 +0000

ghc6 (6.4-3) unstable; urgency=low

  * Removed powerpc from the list of arches to do a registerised build with
    object splitting as there are bootstrapping issues from earlier GHCs.
  * Change a stray "6.4" to $(ProjectVersion) in debian/rules
  * Fix "SOURCE:" lines in {pre,post}{inst,rm}.in files.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 04 May 2005 17:07:08 +0100

ghc6 (6.4-2) experimental; urgency=low

  * Don't create user package.conf if not modifying.
  * Change "#ifdef darwin_REGS" to "#if darwin_REGS" in
    ghc/includes/MachRegs.h to fix build on powerpc (from upstream CVS).
  * Add powerpc to the list of arches to do a registerised build with
    object splitting.
  * Fix checkFEDArgs in ghc/compiler/typecheck/TcForeign.lhs so it compiles
    again.
  * Remove OpenGL and GLUT packages from package.conf.shipped.
    Have the postinst/prerm add/remove them.
  * ghc6-hopengl provides libghc6-{opengl,glut}-{dev,prof}
  * Other exposed libraries are provided as libghc6-foo-dev by ghc6 and
    libghc6-foo-prof by ghc6-prof.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 21 Mar 2005 03:26:35 +0000

ghc6 (6.4-1) experimental; urgency=low

  * New upstream release; just for experimental for now.
  * Remove xmlise-flags.sgml as upstream now ships flags.xml.
  * Rejig how files are put in the right packages to follow upstream changes.
  * Separate build target into build and install.
  * No longer allow ghc4 or ghc5 to be used for building as they are no longer
    supported.
  * Handle /usr/bin/ghc6 et al. and the alternatives without the 6 suffix
    better.
  * Add a /usr/bin/runhaskell alternative, priority 8600000600.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 13 Mar 2005 04:25:20 +0000

ghc6 (6.2.2-3) unstable; urgency=low

  * Backport runghc from CVS.
  * Build-dep prefers libreadline5-dev rather than libreadline4-dev.
  * Compiled with libreadline5-dev.  Closes: #291126.
  * Remove package.conf{,.old} when changing to a different upstream
    version as well as when purging. Closes: #277606.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 28 Jan 2005 01:55:31 +0000

ghc6 (6.2.2-2) unstable; urgency=low

  * Add build-depends on autotools-dev.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 20 Oct 2004 14:40:47 +0100

ghc6 (6.2.2-1) unstable; urgency=low

  * Add "Modes of operation" flags to flag reference in the users guide,
    and hence to the automatically generated manpage.
  * Create /usr/bin/ghc-pkg6.
  * Revert changes to support mips/mipsel. They need changes in
    glibc/gcc to work, supported by different changes in ghc.
  * Support the spirit of noopt and nostrip values of DEB_BUILD_OPTIONS
  * Make symlinks for /usr/bin/{ghc,ghc-pkg,ghci}-$version into
    /usr/lib/ghc-$version/bin/.
  * Add manpage symlinks for {ghc,ghci}-$version.
  * Bump Standards-Version to 3.6.1.
  * Remove mention of threaded packages from the manpage as they no
    longer exist.
  * Add grep-dctrl to build-dep list and use grep-status to build a
    depends line for the set of installed packages providing
    libreadline-dev (should have cardinality 1).
    Replaced libreadline4-dev dependency with ${readline}.
    Switch order of libreadline4-dev and libreadline-dev in build-deps
    so the concrete package is first.
  * Change how configure/config.sub/config.guess are handled in line
    with /usr/share/doc/autotools-dev/README.Debian.gz.
  * Added varfile /usr/lib/haskell-utils/ghc6_vars.
  * Remove docs/building/building.out and
    ghc6-6.2.2/docs/docbook-cheat-sheet/docbook-cheat-sheet.out when
    cleaning.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 19 Oct 2004 18:12:55 +0000

ghc6 (6.2.1-5) unstable; urgency=low

  * Join build-deps onto a single line.
  * Eliminate {,} bashisms in debian/rules.
  * Build-dep on xlibs-dev for building the X11 package.
  * Additionally build the RTS the following ways:
    debug_p thr_debug thr_debug_p
    (which, together with those done by default, gives us all ways).
  * Install initial /usr/lib/ghc-$version/package.conf as
    /usr/lib/ghc-$version/package.conf.shipped and copy it to
    /usr/lib/ghc-$version/package.conf in postinst if it doesn't exist.
    This means other library information isn't lost across upgrades.
  * Remove /usr/lib/ghc-$version/package.conf{,.old} in postrm purge.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 07 Aug 2004 12:03:31 +0000

ghc6 (6.2.1-4) unstable; urgency=low

  * Remove IA64 from the unregisterised arches list to try to fix the
    unaligned accesses.
  * Add -mlong-calls flag for mips* in both DriverFlags and SRC_CC_OPTS
    in mk/config.mk.in. Fixes problem where a step in gdb on a call to
    mp_set_memory_functions lands us in the middle of Show.hc.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 08 Jul 2004 17:19:06 +0000

ghc6 (6.2.1-3) unstable; urgency=low

  * Up gcc build-dep to "gcc-3.3 (>= 1:3.3.4)" to fix
    "charToUtf8 1884139800" panic when compiling
    'module Foo where foo 5 = 6'.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 18 Jun 2004 18:09:15 -0400

ghc6 (6.2.1-2) unstable; urgency=low

  * Change the mangler to allow a tab before .section on sparc.
    Fixes a problem which shows up as symbols not being made global
    so not being defined when compiling with gcc >= 3.something.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 13 Apr 2004 12:26:41 +0000

ghc6 (6.2.1-1) unstable; urgency=low

  * New upstream (stable branch) release.
  * Don't use -static on any arches (remove per-arch "-static"s in
    ghc/compiler/main/DriverFlags.hs).
  * Remove threaded packages (functionality now handled by main packages).
  * We now depend and build-depend on "gcc-3.3 (>= 1:3.3.3-2)" which should
    give correct code on all arches.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 23 Mar 2004 20:47:13 +0000

ghc6 (6.2-3) unstable; urgency=low

  * More HOpenGL example tweaking.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 24 Jan 2004 20:16:57 +0000

ghc6 (6.2-2) unstable; urgency=low

  * Apply fix so OpenGL docs build when the compiling compiler doesn't
    support OpenGL.
  * Tweaked HOpenGL example, including suggestions from Sven Panne (HOpenGL
    author).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 21 Jan 2004 23:57:22 +0000

ghc6 (6.2-1) unstable; urgency=low

  * New upstream version.
  * ghc/docs/users_guide/flags.sgml is now xmlised by a script rather
    than by hand.
  * Added an HOpenGL example.
  * Removed build dependency on happy (it has been pre-run on the tarball).
  * Build dependency on haddock is now >= 0.6 (we need some of its new
    options).
  * For the normal ghc6 deb pass GhcLibsWithOpenGL=NO GhcLibsWithGLUT=NO
    rather than GhcLibsWithHOpenGL=NO
  * Add config.status and libraries.txt to CLEAN_FILES and a rule to
    remove the HTML directory for the extraclean target in
    libraries/Makefile

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 16 Dec 2003 18:09:11 +0000

ghc6 (6.0.1-10) unstable; urgency=low

  * Change #ifdef IN_STG_CODE to #if IN_STG_CODE in the alpha section of
    ghc/includes/TailCalls.h
  * Add __muldi3 to RTS_LIBGCC_SYMBOLS in ghc/rts/Linker.c (ghci was
    complaining about it being unknown on sparc).
  * Provide a /usr/bin/haskell-compiler alternative.
  * Depend on haskell-utils
  * Register /usr/bin/ghc6 and ghc6 with haskell-utils
  * Register /usr/bin/ghc6-threaded and ghc6-threaded with haskell-utils
  * Tidy up postinst/prerm.
  * Add ghc6-threaded as an alternative for /usr/bin/ghc (priority 590,
    i.e. between ghc5 and ghc6).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 11 Oct 2003 11:07:00 +0000

ghc6 (6.0.1-9) unstable; urgency=low

  * Move the TailCalls.h include in ghc/includes/Stg.h below the config.h
    include. Fixes the undefined reference warnings in -8. Closes: #211430.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 17 Sep 2003 22:04:57 +0000

ghc6 (6.0.1-8) unstable; urgency=low

  * If we are not on an i386, sparc or ia64 machine then do an
    unregisterised build.
  * Unregisterised builds should be possible for any architecture, so
    set the architecture to any.
  * Add s390, m68k, mips, hppa, arm and powerpc Linux to configure{,.in}
  * Write a README.Debian about the registerised/unregisterised deal.
  * Change a couple of machine/foo.h includes on alpha to asm/foo.h
  * Add the x86-64 hack from upstream to MBlock.h, generalising it to all
    8-bit arches.
  * Add -optc-mbig-switch to SRC_HC_OPTS in libraries/OpenGL/Makefile
    on hppa (fixes an assembler failure for at least
    Graphics/Rendering/OpenGL/GL/QueryUtils.p_o).
  * Tweak ghc/includes/TailCalls.h so it only steals a register for STG
    code.
  * Move the include of TailCalls.h in ghc/includes/Stg.h up so it is
    before all the procedure definitions.
  * Change an IF_OS_darwin to an IF_ARCH_powerpc in
    ghc/compiler/nativeGen/MachCode.lhs

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 16 Sep 2003 20:40:43 +0000

ghc6 (6.0.1-7) unstable; urgency=low

  * Add ia64 to Architecture field of the packages.
  * Apply various IA64 fixes from upstream CVS.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 10 Sep 2003 13:47:56 +0000

ghc6 (6.0.1-6) unstable; urgency=low

  * We need docbook-utils even for a binary-only build as the build fails
    if it can't build the documentation.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 08 Sep 2003 00:34:51 +0000

ghc6 (6.0.1-5) unstable; urgency=low

  * Add jade to the build-deps.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 07 Sep 2003 10:11:54 +0000

ghc6 (6.0.1-4) unstable; urgency=low

  * Remove unnecessary flex build-dep and comment it out of
    configure{,.in}.
  * Resurrect the "SGMLDocWays  := html dvi ps" line in build.mk that
    got lost.
  * Do a test compilation+run after building to make sure things aren't
    *completely* screwed up.
  * make distclean rather than maintainer-clean

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 06 Sep 2003 11:07:08 +0000

ghc6 (6.0.1-3) unstable; urgency=low

  * Put sparc-unknown-linux entry in configure and configure.in
  * Add sparc Linux support to ghc/driver/mangler/ghc-asm.lprl
  * Build depend on gcc-2.95 [sparc]
  * Change ghc6's dependency on gcc to ${gcc}.
    This is set to either gcc-2.95 (if we are on a sparc) or gcc
    (otherwise) in debian/ghc6.substvars
  * Removed quotes around ${WithGhc-ghc} in configure and aclocal.m4 so
    arguments can be given (e.g. to point at a certain gcc) with the
    flag
  * Pass flags giving the location of ghc and, in the case of sparc,
    gcc to ./configure
  * Added sparc to Architecture field of the packages
  * touch configure early in the build and clean targets to stop the
    build system trying to regenerate it with autoconf.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 14 Aug 2003 07:24:18 -0400

ghc6 (6.0.1-2) unstable; urgency=low

  * Ask for the correct name to be removed by update-alternatives
  * Have manpage variables substituted
  * Fix problem with files not getting installed into ghc6-libsrc package
  * Put ghc/{README,ANNOUNCE} in /usr/share/doc/ghc6

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 02 Aug 2003 20:27:44 +0000

ghc6 (6.0.1-1) unstable; urgency=low

  * New upstream version
  * Now policy 3.6.0 compliant
  * Fixed manpage alternatives to create a manpage for ghc, not ghc6.
  * Added manpages for ghci, ghci6 and the -threaded variants of
    these and ghc. Manpage now also mentions ghci.
  * Reinstate the -libsrc package.
  * Remove redundant build dependencies on autoconf and autotools-dev
  * Comment out fix for compiling GL stuff with older GHCs as it really
    uses the in-place compiler
  * Have all packages (except ghc6-doc due to issues with an empty depends
    line) depend on ${shlibs:Depends}, ${misc:Depends}
  * Create a /usr/bin/ghc6 and /usr/bin/ghci6
  * Also build a threaded-rts binary and make various related -threaded files
    and symlinks. Put in a separate package (ghc6-threaded-rts) due to size.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 30 Jul 2003 12:37:21 +0000

ghc6 (6.0-2) unstable; urgency=low

  * Fix GET_PROC_ADDRESS properly so opengl libraries can be used (from
    upstream CVS)
  * GLUT libraries are also installed in the hopengl deb
  * Update build-depends and depends to libglut3-dev, xlibmesa-gl-dev
    and xlibmesa-glu-dev from glutg3-dev and xlibmesa-dev.
  * Require at least version 0.4.0 of haddock.
  * Fix doc-base control file links.
  * Policy 3.5.10 compliant.
  * Create the hp2ps-ghc6.1 manpage correctly.  Closes: #199786.
  * Change glActiveTexture to glActiveTextureARB. ghci now loads with
    the OpenGL and GLUT packages.
  * Update build-depend on debhelper to >= 4.
  * Correct "GHC5" to "GHC6" in the doc-base title.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 06 Jul 2003 14:42:40 +0000

ghc6 (6.0-1) unstable; urgency=low

  * New upstream version
  * New maintainer, with the old maintainer's blessing
  * changed package name to ghc6
  * Building process simplified as GHC's build system now handles multiple
    stages itself
  * Patches from upstream:
    + Removed comments from cpp functions in a couple of source files to
      counteract changes in 3.3 meaning they didn't compile
    + Evil mangler tweaked to allow extra whitespace gcc 3.3 puts in
      and for changes to generated assembly for _module_registered
    + Rename "--list-packages-local" to "--list-local-packages"
  * Added missing quotes to
    libraries/OpenGL/Graphics/Rendering/OpenGL/GL/Extensions.hs
    so it compiles
  * Removed fptags as it doesn't have a clear licence; should probably
    be in its own package anyway as I imagine it is equally useful with
    any Haskell compiler
  * Changed libraries/OpenGL/specs/enumerant to use this compiler rather
    than the installed one; in particular this means that the profiling
    libraries don't need to be installed

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 07 Jun 2003 17:16:25 +0000

ghc5 (5.04.2-1) unstable; urgency=low

  * CVS Version from 2002-12-05 (tag: ghc-5-04-2)
    + fix for inet_ntoa linking error (upstream)
      (closes: Bug#164573)
    + export TimeLocale constructor (upstream)
      (closes: Bug#167647)
  * implemented proper auto* handling (config.*, autoconf)
  * added autotools-dev to build-deps, bumped needed autoconf version to
    >= 2.52
  * removed cpio from Build-Deps (no longer needed)
  * added man page for ghc
    (closes: Bug#110037)
  * added links for user_guide/user-guide.html and hslibs/book-hslibs.html
    (closes: Bug#153795)
  * necessary adjustments for debian_libraries_hopengl.dpatch
  * libdir adjustments (always in sync with Debian package version now)
  * added notes in ghc5-hopengl.README.Debian
  * removed cygnus-stylesheets from Build-Deps-Indep
    (closes: Bug#170112)
  * moved ghcprof icons to /usr/share/ tree
    (debian_ghcprof_datadir.dpatch)
  * edited debian/copyright to make lintian shut up ("Upstream Author(s)")
  * backport of "*_stub.o link failure" fix from ghc-5-04-branch
    (debian_compManager_findstubs.dpatch)
    (closes: Bug#171518)

 -- Michael Weber <michaelw@debian.org>  Sat,  7 Dec 2002 19:38:10 +0100

ghc5 (5.04-1) unstable; urgency=low

  * CVS Version from 2002-07-15 (tag: ghc-5-04)
    (closes: Bug#153020)
    + spurious ghci dynamic linkage error solved by upstream update
      (closes: Bug#151126)
  * added Depends: libreadline4-dev (though I don't like it
    and it just covers a technical issue), because too many people
    get bitten by this :(
    (closes: Bug#134950)
  * build process revamped
    + much easier to understand/maintain (KISS)
      (it's a build script, no need to be too fancy)
    + support for full bootstrap builds (needed for buildds)
    + moved source to upstream-ghc/
    + adjusted patches; must contain `upstream-ghc/' in
      the path from now on (new source layout)
    + uses shadow trees (lndir)
    + added "-e noidref" to docbook2* tool calls, so that they
      don't barf on missing ids (there are 2 currently)
    + use upstream doc install mechanism now that it's usable
      for Debian (slight changes in the dir layout, though)
    + removed support for `debian/rules cvs-update'
    + removed ghc5-libsrc package, now that decent library
      docs start to pop up
    + removed debian_build.dpatch (now debian/build.mk-stage*)
  * renamed ghc4_ghc_includes_gmp.dpatch debian_ghc_includes_gmp.dpatch
    because it's Debian specific
  * added Build-Depends: haddock
  * adjusted *.doc-base.* again to reflect new doc layout
    (only ghc5-doc.doc-base.users-guide left)
  * _really_ changed CVS/Root to :pserver:anoncvs@cvs.haskell.org:/cvs
    this time (no idea what happened to the last changes)
  * updated CVS checkout instructions in copyright
  * updated upstream authors in copyright
  * updated README.Debian to reflect changes
  * fixed missing "sec-concurrent-haskell" SGML id
  * added hasktags program to update-alternatives
  * new package ghc5-hopengl (finally!)
    (closes: Bug#116984)
  * added Build-Depends: xlibmesa-dev, glutg3-dev (for HOpenGL)

 -- Michael Weber <michaelw@debian.org>  Fri, 19 Jul 2002 15:34:43 +0200

ghc5 (5.02.2-1) unstable; urgency=low

  * CVS Version from 2002-02-14 (tag: ghc-5-02-2)
    (closes: Bug#133595)
  * buggy Makefile which prevented building with make-3.77 fixed
    by update
    (closes: Bug#117883)
  * The "You Asked For It" release =)
  * _NOT_ the "I Solved All Problems" release
  * changed CVS/Root to :pserver:anoncvs@cvs.haskell.org:/cvs
  * updated copyright
  * removed lib6-dev from Depends: (no longer necessary)
  * docbook build-deps now: docbook-utils | cygnus-stylesheets
    (closes: Bug#123180)
  * added time to Depends: (lost during backporting potato stuff)
  * added build-deps: xutils (for lndir), time (used by build process)
  * added build-deps: devscripts (for debchange, thanks to
    Peter Gammie)
  * readline build-deps now: libreadline-dev | libreadline4-dev
  * priority: extra -> optional (as requested from the ftpmasters)
  * for the -prof package, section: libs -> devel (as requested from
    the ftpmasters)
  * spelling correction in control file (cpu -> CPU)
    (closes: Bug#124668)
  * removed getSocketOption patch
    (ghc5_getSocketOption.dpatch)
  * added index.html symlinks for html docs
  * adjusted  *.doc-base.*
  * removed ghc5-doc.doc-base.hslibs (accessible via
    the user's guide)
  * bumped Standards-Version to 3.5.6.0

 -- Michael Weber <michaelw@debian.org>  Thu, 14 Feb 2002 21:01:14 +0100

ghc5 (5.02-1) unstable; urgency=low

  * CVS Version from 2001-10-15 (tag: ghc-5-02-branch)
  * adjusted debian_glafp-utils_docbook.dpatch
  * typo in docs fixed
    (closes: Bug#110038)
  * added hotfix for getSocketOption b0rkage (already fixed in CVS)
    (ghc5_getSocketOption.dpatch)

 -- Michael Weber <michaelw@debian.org>  Mon, 15 Oct 2001 19:59:43 +0200

ghc5 (5.00.2-1) unstable; urgency=low

  * CVS Version from 2001-07-16 (tag: ghc-5-00-2)
    (closes: Bug#106756)
  * upstream fix for .ghci problem
    (closes: Bug#94739)
  * removed patches which went into upstream
    (ghc5_glitches.dpatch)

 -- Michael Weber <michaelw@debian.org>  Tue, 31 Jul 2001 10:54:45 +0200

ghc5 (5.00-2) unstable; urgency=low

  * added dependency on libc6-dev as a workaround
    (ghci needs the libm.so link)
  * adjusted ghc5_glitches.dpatch slightly

 -- Michael Weber <michaelw@debian.org>  Thu, 26 Apr 2001 15:07:04 +0200

ghc5 (5.00-1) unstable; urgency=low

  * CVS Version from 2001-04-11 (tag: ghc-5-00)
  * changed package name to ghc5
  * some more reorganizations to prepare dual ghc4/ghc5 installation
  * added some missing build-deps
  * now using libgmp3(-dev)
  * removed some obsolete patches
    (ghc4_hclose_bug.dpatch,ghc4_signal_bug.dpatch)
  * added some other patches
    (ghc5_glitches.dpatch)
  * updated build.mk-patch once more
  * DH_COMPAT=2
  * added more docs (ffi-art)
  * added support for CVS happy's

 -- Michael Weber <michaelw@debian.org>  Wed, 18 Apr 2001 00:19:35 +0200

ghc4 (4.08.1-4) unstable; urgency=low

  * first upload as proper maintainer
  * changed email address to @debian.org

 -- Michael Weber <michaelw@debian.org>  Sun, 14 Jan 2001 01:56:05 +0100

ghc4 (4.08.1-3) unstable; urgency=low

  * unofficial version
  * backported signal-bug patch from CVS trunk
    (ghc4_signal_bug.dpatch)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue, 10 Oct 2000 13:34:28 +0200

ghc4 (4.08.1-2) unstable; urgency=low

  * unofficial version
  * backported hClose-bug patch from CVS trunk
    (ghc4_hclose_bug.dpatch)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue, 10 Oct 2000 13:33:56 +0200

ghc4 (4.08.1-1) unstable; urgency=low

  * !!NOTE!!
    This version replaced aaronv's upload of 4.04.19990916-3 (thanks
    to wli@debian.org for the sponsor upload).  All versions in
    between were never officially available on the debian servers.
  * CVS Version from 2000-09-02 (4.08.1)
  * official 4.08.1 version
  * uncommented `cvs upd' commands (accidently commented)
  * changed `cvs-update' target again (first step of upcoming
    "experimental" support)
  * updated build.mk-patch
  * set.{ps,dvi} accidently were not copied into the package,
    (fixed now)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Mon, 25 Sep 2000 14:02:52 +0200

ghc4 (4.08.0-1) unstable; urgency=low

  * CVS Version from 2000-06-29 (4.08.0)
  * this is a snap of the official 4.08 release candidate
  * need (happy >= 1.7) from now on
  * unset DOCBOOK_PREFIX in order to use installed db tools
  * an installed ghc4-prof pkg. must have the same version as the
    corresponding ghc4 pkg.
  * added option `-k' to make when cleaning, so it won't stumble over
    errors
  * ghc now understands option '--numeric-version', which will be
    supported in the upcoming unstable version anyway...
    (ghc4_numeric_version.dpatch)
  * sync'ed base documents in doc-base entries with reality
  * rearranged `docs',`build' targets
  * rearranged documentation to sync with upstream

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Mon,  3 Jul 2000 14:52:12 +0200

ghc4 (4.07.20000526-1) unstable; urgency=low

  * CVS Version from 2000-05-26 (4.07)
  * update to ghc-4-07-branch
  * disabled debian_glafp-utils_docbook.dpatch, because it's not
    necessary on this branch
  * !! UNRELEASED due to building problem !!

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Fri, 26 May 2000 20:33:32 +0200

ghc4 (4.07.20000523-1) unstable; urgency=low

  * CVS Version from 2000-05-23 (4.07)
  * removed ghc4_docbook.dpatch (incorporated by upstream, finally :-))
  * removed ghc4_hslibs_tools_clean.dpatch (incorporated by upstream)
  * removed ghc4_hslibs_util_clean.dpatch (incorporated by upstream)
  * removed building of docbook (Debian does have a working docbook
    environment)
    (debian_glafp-utils_docbook.dpatch)
  * added fptags to distribution (in a really q'n'd way)
  * added debian/rules options (UN)PATCHOPTS, default is now
    `PATCHOPTS = --ignore-whitespace --forward'
  * added notes about debian/rules options to README.Debian
  * adjusted build depends
  * added more hints in README.debian
  * !! UNRELEASED due to building problem !!

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Fri, 26 May 2000 20:02:20 +0200

ghc4 (4.07.20000504-1) unstable; urgency=low

  * CVS Version from 2000-05-04 (4.07)
  * hslibs/utils/Readline_stub.p_o not cleaned
    (ghc4_hslibs_util_clean.dpatch)
  * added DrIFT, DtdToHaskell, Xtract as update-alternatives

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Mon,  8 May 2000 01:05:37 +0200

ghc4 (4.07.20000429-1) unstable; urgency=low

  * CVS Version from 2000-04-29 (4.07)
  * removed ghc4_hslibs_util_clean.dpatch (solved by upstream)
  * Main.hi not cleaned in hslibs/tools/* dirs
    (ghc4_hslibs_tools_clean.dpatch)
  * changed clean targets from `realclean' to `maintainer-clean'
    (due to upstream change)
  * !! UNRELEASED due to stage1 problems !!

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sun, 30 Apr 2000 01:06:47 +0200

ghc4 (4.07.20000411-1) unstable; urgency=low

  * CVS Version from 2000-04-11 (4.07)
  * removed ghc4_configure_readline.dpatch (incorporated by upstream)
  * adjusted Build-depends (this version can only be build with GHC 4.06)
  * `debian/rules patch' now doesn't try to apply patches, if they're
    already applied
  * added option `StripLibraries = YES'
  * !! UNRELEASED due to stage2 problems !!

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Thu, 13 Apr 2000 00:37:29 +0200

ghc4 (4.07.20000202-1) unstable; urgency=low

  * CVS Version from 2000-02-02 (4.07)
  * added target `cvs-update' (see README.Debian)
  * replaced sgml-tools by cygnus-stylesheets in Build-Depends
  * removed ghc4_hslibs_cstring.dpatch (incorporated by upstream)
  * removed ghc4_ghc_mk.dpatch (incorporated by upstream)
  * removed debian_sgml.dpatch (no longer necessary)
  * use autoreconf instead of autoconf (in debian/rules.local)
  * html docs back in action
  * renamed doc-base ID ghc4-installation to ghc4-building
  * YARP [Just Another Readline Patch]: doesn't find termcap
    (ghc4_configure_readline.dpatch)
  * Readline_stub--stamp was not removed on clean
    (ghc4_hslibs_util_clean.dpatch)
  * removed hardcoded DTD paths in docs/fptools-both.dsl
    (ghc4_docbook.dpatch)
  * added `docs' target
  * `debian/rules clean' again checks for root priv. (cf. packaging#3.2.1)
  * added build option `-split-objs' (produces smaller executables)
  * added build option `GhcLibHcOpts = -O' (won't compile otherwise, because
    of a compiler bug in 4.06)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Thu,  3 Feb 2000 17:47:00 +0100

ghc4 (4.06.20000109-1) unstable; urgency=low

  * CVS version from 2000-01-09 (4.06)
  * debian/rules clean doesn't check for root priv. any more
  * removed emacs local variable (add-log-mailing-address) in changelog.
    (closes: Bug#54515)
  * references to `haskell-doc' in control and debian/*doc-base*.
    (closes: Bug#52729)
  * Arch back to `i386' only, although sparc should be possible, too (with
    minor changes, really). (closes: Bug#52794)
  * bumped Standards-Version to 3.1.0
  * introduced build dependencies
  * removed ghc4_clean.dpatch (incorporated by upstream)
  * removed ghc4_makefiles.dpatch (incorporated by upstream)
  * removed ghc4_mk.dpatch (incorporated by upstream)
  * removed ghc4_readline.dpatch (incorporated by upstream)
  * removed ghc4_stat2resid.dpatch (incorporated by upstream)
  * autoconf changes to rules, rules.local
  * corrected bug in ghc/mk/paths.mk (wrt. variable referencing)
    (ghc4_ghc_mk.dpatch)
  * corrected bug in hslibs/CString.lhs (ghc4_hslibs_cstring.dpatch)
  * added patch for sgmltools, removed {html,txt} because of problems

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sun,  9 Jan 2000 15:45:36 +0100

ghc4 (4.05.19991206-1) unstable; urgency=low

  * CVS version from 1999-12-06 (4.05)
  * removed distrib/Makefile-bin.in patch (solved by upstream)
  * removed ghc/compiler/Makefile patch (solved by upstream)
  * adjusted mk/target.mk patch
  * moved $(libdir)/ghc/$(version) -> $(libdir)/ghc-$(version) (upstream-like)
  * dropped users-guide.info (wasn't complete, anyway)
  * added postscript and plain text docs
  * heap size back to 120M :-(
  * changed the build process heavily
  * fixed `missing symbol in libHSutil*.a' (formerly libHSmisc*.a) bug
  * some cleanup patches
  * updated URLs to the Haskell report in control and debian/*doc-base*

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Wed,  8 Dec 1999 23:37:37 +0100

ghc4 (4.04.19990916-3local1) unstable; urgency=low

  * added warning message about fragile `clean' target
  * cut down memory req's for building GHC (100M heap should be ok)
  * Arch: field back to ``i386''

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue, 30 Nov 1999 23:32:36 +0100

ghc4 (4.04.19990916-3) unstable; urgency=low

  * First revision to be uploaded to Debian
  * Changed maintainer fields where necessary
  * Changed binary packages to Architecture: any

 -- Aaron Van Couwenberghe <aaronv@debian.org>  Tue, 30 Nov 1999 14:27:18 -0800

ghc4 (4.04.19990916-2) unstable; urgency=low

  * fixed typo in copyright
  * bumped Standards-Version to 3.0.1
  * doc-base support
  * moved (un)patch rules to debian/rules.local

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Wed, 17 Nov 1999 18:06:25 +0100

ghc4 (4.04.19990916-1) unstable; urgency=low

  * added haskell-doc, ghc4-prof to Suggests
  * new version numbering scheme
  * improved build process (targets stage1,clean)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sun, 19 Sep 1999 21:49:25 +0200

ghc4 (4.04-9) unstable; urgency=low

  * added libgmp2-dev to Depends
  * CVS version from 1999/09/16

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Thu, 16 Sep 1999 22:09:11 +0200

ghc4 (4.04-8) unstable; urgency=low

  * fixed manpage packaging bug in ghc4-prof

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat,  7 Aug 1999 21:59:05 +0200

ghc4 (4.04-7) unstable; urgency=low

  * Standards-Version 3.0.0.0
  * removed undocumented manpages (lintian complains)
  * moved usr/info -> usr/share/info according to FHS
  * added 'perl | perl5' to Depends

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat,  7 Aug 1999 21:54:39 +0200

ghc4 (4.04-6) unstable; urgency=low

  * removed patch for happy version check (now in upstream)
  * GHC is working again
  * CVS version from 1999/08/03

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Wed,  4 Aug 1999 18:12:07 +0200

ghc4 (4.04-5) unstable; urgency=low

  * local version, GHC doesn't work
  * removed hstags from alternatives because it's non-functional
  * removed mkdependHS from alternatives because directly running it
    is deprecated now (now 'ghc -M')
  * re-added info file
  * removed obsolete HAVE_READLINE variable in mk/build.mk
  * removed patch for {hscpp,mkdependHS} "absolute path" fix (now in upstream)
  * moved to patch system (taken from glibc package)
  * CVS version from 1999/07/31

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sun,  1 Aug 1999 02:09:44 +0200

ghc4 (4.04-4) unstable; urgency=low

  * got rid of absolute cpp paths in {hscpp,mkdependHS}
  * removed info files due to problem with sgmltools
  * first glibc-2.1.1 version

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue, 13 Jul 1999 15:35:28 +0000

ghc4 (4.04-3) unstable; urgency=low

  * moved profiling libs into separate package
  * added hscpp as alternative (useful for hugs)
  * CVS version from 1999/07/10

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat, 10 Jul 1999 19:20:49 +0200

ghc4 (4.04-2) unstable; urgency=low

  * compiled with use of happy-1.6 parser generator
  * fixed some "unclean" directories
  * added info entry
  * added dwww index-file

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat,  3 Jul 1999 03:04:13 +0200

ghc4 (4.04-1) unstable; urgency=low

  * added missing *.prl files
  * added mkdependHS as alternative
  * new CVS version as of 1999/06/30

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Wed, 30 Jun 1999 19:53:09 +0200

ghc4 (4.03-1) unstable; urgency=low

  * Initial Release.

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat, 26 Jun 1999 17:52:29 +0200


